use maraiah::shp;

include!("data/rand.rs");

#[test]
fn shp_must_not_process()
{
	for inp in &RANDOM {
		assert!(shp::bmap::read(inp).is_err());
		assert!(shp::coll::read(inp).is_err());
		assert!(shp::fram::read(inp).is_err());
		assert!(shp::sequ::read(inp).is_err());

		let mut inp = std::io::BufReader::new(&inp[..]);
		assert!(shp::read(&mut inp).is_err());
	}
}

// EOF
